import 'package:cpt_community/router/page/community_page_router.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:widgets/my_appbar.dart';

@RoutePage()
class GaragesaleDetailPage extends HookConsumerWidget {
  const GaragesaleDetailPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const GaragesaleDetailPageRoute());
    } else {
      appRouter.push(const GaragesaleDetailPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    // final viewModel = ref.watch(newsfeedPostVmProvider.notifier);

    return Scaffold(
      appBar: MyAppBar.appBar(
        context,
        "Garage Sale Detail",
        backgroundColor: context.appColors.whiteBG,
      ),
      backgroundColor: context.appColors.backgroundDefault,
      body: Center(
        child: Text("GaragesaleDetail"),
      ),
    );
  }
}
